Get About Account stats
GET
/2/profile/{handle}/about
const url = 'https://api.fxtwitter.com/2/profile/X/about';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.fxtwitter.com/2/profile/X/aboutReturns the same about_account object as /2/profile/{handle} with about_account / aboutAccount enabled, without fetching the full profile.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” handle
required
string
Example
XUsername without @, or numeric user id as id:<rest_id> (e.g. id:783214). Case-insensitive id: prefix.
Responses
Section titled “ Responses ”About metadata (check code); about_account omitted when upstream has none
Media type application/json
object
code
required
number
message
required
string
about_account
object
based_in
string
location_accurate
boolean
created_country_accurate
boolean
source
string
username_changes
object
count
required
number
last_changed_at
required
string
Example generated
{ "code": 1, "message": "example", "about_account": { "based_in": "example", "location_accurate": true, "created_country_accurate": true, "source": "example", "username_changes": { "count": 1, "last_changed_at": "example" } }}Invalid path parameters
Media type application/json
object
code
required
number
message
required
string
Example
{ "code": 400}User not found
Media type application/json
object
code
required
number
message
required
string
about_account
object
based_in
string
location_accurate
boolean
created_country_accurate
boolean
source
string
username_changes
object
count
required
number
last_changed_at
required
string
Example generated
{ "code": 1, "message": "example", "about_account": { "based_in": "example", "location_accurate": true, "created_country_accurate": true, "source": "example", "username_changes": { "count": 1, "last_changed_at": "example" } }}